<?php
header('Content-type:text/html;charset=utf-8');
define('ok', true);
error_reporting(E_ALL & ~E_NOTICE);
ini_set('display_errors', 'off');
header('Access-Control-Allow-Origin', '*');
//
if (!is_weixin()) {
    $errUrl = "./err.html";
    header("Location:" . $errUrl);
    exit;
}
//当前访问的url
$host = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] . '?' . $_SERVER['QUERY_STRING'];
//优先读取cookie中的openid
$at = $_COOKIE['at'];
$rt = $_COOKIE['rt'];
$openid = $_COOKIE['openid'];
$nickname = $_COOKIE['nickname'];
$headimgurl = $_COOKIE['headimgurl'];
$scoreResult = $_COOKIE['scoreResult'];//是否答题完成了
$data = isset ($_REQUEST["data"]) ? $_REQUEST["data"] : "";
$token = isset ($_REQUEST["token"]) ? $_REQUEST["token"] : "";
$userinfo = isset ($_REQUEST["userinfo"]) ? $_REQUEST["userinfo"] : "";
$authUrl = '//m.zhaopin.com/dongpeng/dakatest/oauth?backurl=' . urlencode($host);

//包含userinfo则是从小程序直接进入，其他则是其他渠道的新用户（需做授权判断）
if (isset ($_REQUEST["userinfo"])) {
    //解析userinfo
} else {
    //判断是否已经授权
    if (!empty ($openid) && !empty ($nickname) && !empty ($headimgurl)) {
        //已授权但是清空了at和rt的用户
        if (empty ($at) && !empty ($scoreResult)) {
            $callUrl = "https://passport.zhaopin.com/additional/m?appID=99a0b758e7a344e988a02e6c5d51acf4&refer=5003380&redirectURL=" . urlencode("https://m.zhaopin.com/dongpeng/dakatest/?cbk=0");
            header("Location:" . $callUrl);
        }
    } else {
        //方便带参数测试
        if (!empty ($data)) {
            //根据code请求openid
            $data = urlsafe_b64decode($data);
            $res = json_decode($data);
            $openid = $res->openid;
            $nickname = urlencode($res->nickname);
            $headimgurl = $res->headimgurl;
            if (empty ($openid) || empty ($nickname) || empty ($headimgurl)) {
                header("Location:" . $authUrl);
            } else {
                setcookie('openid', $openid, time() + 3600 * 24 * 30);
                setcookie('nickname', $nickname, time() + 3600 * 24 * 30);
                setcookie('headimgurl', $headimgurl, time() + 3600 * 24 * 30);
                setcookie('token', $token, time() + 3600 * 24 * 30);
            }
        } else if (empty ($openid) || empty ($nickname) || empty ($headimgurl)) {
            header("Location:" . $authUrl);
        }
    }
}

function is_weixin()
{
    if (strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false) {  //strpos() 函数查找字符串在另一字符串中第一次出现的位置
        return true;
    }
    return false;
}

function urlsafe_b64encode($string)
{
    $data = base64_encode($string);
    $data = str_replace(array('+', '/', '='), array('-', '_', ''), $data);
    return $data;
}

function urlsafe_b64decode($string)
{
    $data = str_replace(array('-', '_'), array('+', '/'), $string);
    $mod4 = strlen($data) % 4;
    if ($mod4) {
        $data .= substr('====', $mod4);
    }
    return base64_decode($data);
}

function recall($path)
{
    header("Location:" . $path);
}
?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>有奖测试｜你的职场大咖属性竟然是</title>
    <link rel="icon" href="data:;base64,=">
    <meta name="viewport"
        content="width=device-width,user-scalable=no,initial-scale=1, minimum-scale=1,maximum-scale=1" />

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="format-detection" content="telephone=no">

    <!-- force webkit on 360 -->
    <meta name="renderer" content="webkit" />
    <meta name="force-rendering" content="webkit" />
    <!-- force edge on IE -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="msapplication-tap-highlight" content="no">

    <!-- force screen orientation on some browser -->
    <meta name="browsermode" content="application">
    <meta name="x5-page-mode" content="app">

    <style type="text/css">
        html {
            -ms-touch-action: none;
        }

        body,
        canvas,
        div {
            margin: 0;
            padding: 0;
            outline: none;
            -moz-user-select: none;
            -webkit-user-select: none;
            -ms-user-select: none;
            -khtml-user-select: none;
            -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        * {
            -webkit-overflow-scrolling: touch;
        }

        body {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            padding: 0;
            border: 0;
            margin: 0;

            cursor: default;
            color: #000000;
            background-color: #ededed;

            text-align: center;
            font-family: Arial, sans-serif;

            display: flex;
            flex-direction: column;
        }

        #Cocos2dGameContainer {
            position: absolute;
            margin: 0;
            overflow: hidden;
            left: 0px;
            top: 0px;

            display: -webkit-box;
            -webkit-box-orient: horizontal;
            -webkit-box-align: center;
            -webkit-box-pack: center;
        }

        canvas {
            background-color: rgba(255, 255, 255, 255);
        }

        /* 自定义中文手写字体 */
        @font-face {
            font-family: "SSO";
            src: url("./res/fonts/SSO.ttf");
            font-style: normal;
            font-weight: normal;
        }
    </style>

    <link href="./css/style.css?v=2024031601" rel="stylesheet" type="text/css" />

    <!-- 第三方类库 -->
    <script src="./libs/zepto.min.js"></script>
    <script src="./libs/howler.min.js"></script>
    <script src="./libs/qrcode.js"></script>
    <script src="./libs/makePhoto.js"></script>
    <!-- <script src="./libs/vconsole.min.js?v=1"></script> -->
    <!-- 微信分享相关 -->
    <script src="//res.wx.qq.com/open/js/jweixin-1.6.0.js"></script>
    <script src="//m.zhaopin.com/dongpeng/dakatest/oauth/wxapi/jLetduSDK.js"></script>
    <!-- 内部封装类库 -->
    <script src="./libs/dtools.js?v=2024031601"></script>
    <!-- 神策统计 -->
    <script charset='UTF-8' src="./libs/sensorsdata.min.js"></script>
</head>

<body>
    <div class="warp" id="warp"></div>
    <div style="width: 100%;height: 100%;position: absolute;display: inline-block;" id="canvasDiv" class="canvasDiv">
        <canvas class="gameCanvas" id="gameCanvas" width="750" height="1334"></canvas>
    </div>
    <!-- 二维码页 -->
    <div class="qrcodeContent" style="display: none;">
        <div id="qrcode" class="qrcode"></div>
    </div>
    <!-- 好友打标页 -->
    <div class="screen-tags mod">
        <div class="btnCloseMusic"></div>
        <div class="logo"><img src="./res/logo.png"></div>
        <div class="tagsListBox">
            <div class="swapTips"><img src="./res/div/swapTips.png"></div>
            <div class="myHeadBox">
                <div class="myHead"><img class="myHeadPic" src="./res/div/head.jpg"></div>
                <div class="myNameBox">
                    <p class="myName"></p>
                </div>
            </div>
            <div class="myTextTag"><img src="./res//div/textTag.png"></div>
            <div class="tagsList"></div>
        </div>
        <div class="myListLine"><img src="./res/div/listLine.png"></div>
        <div class="frendChoose">
            <div class="frendBox" id="frendBox"></div>
            <div class="moreFrendBox">
                <div class="moreContent" id="moreContent"></div>
            </div>
        </div>

        <div class="mainBtns tagsMainBtns">
            <div class="btnBonus">
                <img src="./res/div/btnBonus.png">
            </div>
            <div class="btnShare">
                <img src="./res/div/btnShare.png">
            </div>
        </div>

        <div class="subBtns tagsSubBtns">
            <div class="btnXue">
                <img src="./res/div/btnXue.png">
            </div>
            <div class="btnMai">
                <img src="./res/div/btnMai.png">
            </div>
            <div class="btnDang">
                <img src="./res/div/btnDang.png">
            </div>
        </div>

        <!-- 好友打标列表页 -->
        <div class="screen-frend">
            <div class="frendListBox">
                <button class="btnCloseList"></button>
                <div class="listLine"></div>
                <div class="frendList" id="frendList">
                </div>
            </div>
        </div>
    </div>

    <!-- 结果页 -->
    <div class="screen-end mod">
        <div class="btnCloseMusic"></div>
        <div class="logo"><img src="./res/logo.png"></div>
        <div class="saveImgBox">
            <img class="saveImg" src="">
        </div>
        <!-- 结果描述 -->
        <div class="resultBox">
            <div class="saveTips"><img src="./res/saveTips.png"></div>
            <div class="myHeadBox">
                <div class="myHead"><img class="myHeadPic" src="./res/div/head.jpg"></div>
                <div class="myNameBox">
                    <p class="myName"></p>
                </div>
            </div>
            <div class="resultText"><img class="resultImg" src="./res/div/re00.png"></div>
        </div>

        <div class="mainBtns resultMainBtns">
            <div class="btnBonus">
                <img src="./res/div/btnBonus.png">
            </div>
            <div class="btnShare">
                <img src="./res/div/btnShare.png">
            </div>
        </div>

        <div class="subBtns resultSubBtns">
            <div class="btnXue">
                <img src="./res/div/btnXue.png">
            </div>
            <div class="btnMai">
                <img src="./res/div/btnMai.png">
            </div>
            <div class="btnDang">
                <img src="./res/div/btnDang.png">
            </div>
        </div>

        <!-- 好友打标列表页 -->
        <div class="screen-frend">
            <div class="frendListBox">
                <button class="btnCloseList"></button>
                <div class="listLine"></div>
                <div class="frendList" id="frendList">
                </div>
            </div>
        </div>
    </div>

    <!-- 分享提示弹窗 -->
    <div class="shareContent">
        <img class="shareImg" src="res/shareTips.png?v=2024031601">
    </div>

    <!-- 标签提示弹窗 -->
    <div class="chooseTips">
        <div class="chooseTipsBox">
            <div class="btnCloseTips"></div>
            <img class="chooseTipsImg" src="res/div/chooseTipsBox.png?v=2024031601">
        </div>
    </div>

    <script src="ccjs-3.13.js?v=2024031601"></script>
    <script cocos src="main.js?v=2024031601"></script>


    <script>
        document.addEventListener('WeixinJSBridgeReady', function onBridgeReady() {
            // 通过下面这个API隐藏右上角按钮
            //WeixinJSBridge.call('hideOptionMenu');
        });
        Zepto(function ($) {
            console.log("UA:", DTools.ua.ver);
            //
            if (DTools.ua.weixin) {
                //解决部分不能播放音效的手机
                document.addEventListener("WeixinJSBridgeReady", function () {
                    initAudio();
                }, false);
            } else {
                initAudio();
            }
            //initAudio
            function initAudio() {
                var list = [{
                    "src": "./res/sound/touchAudio.mp3?v=2024031601",
                    "title": "touchAudio",
                    "autoplay": false,
                    "loop": false,
                    "volume": 1
                }];
                var list2 = [{
                    "src": "./res/sound/bgMusic.mp3?v=2024031601",
                    "title": "bgMusic",
                    "autoplay": false,
                    "loop": true,
                    "volume": 1,
                    "bgMusic": true
                }];
                DTools.bgmAudio.init(list2);
                DTools.soundAudio.init(list);
                //
                if (DTools.ua.weixin) {
                    //DTools.bgmAudio.play();
                }
            }

            //抽奖
            $('.btnBonus').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                GC.toMiniPragram("getBonus");
            });
            //分享
            $('.btnShare').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                $('.shareContent').show();
            });
            //更多好友
            $('.moreFrendBox').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                GC.showMoreFrendsPage();
            });
            //学大咖
            $('.btnXue').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                GC.toMiniPragram("btnXue");
            });
            //买大咖
            $('.btnMai').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                GC.toMiniPragram("btnMai");
            });
            //当大咖
            $('.btnDang').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                GC.toMiniPragram("btnDang");
            });
            //btnCloseTips
            $('.btnCloseTips').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                $('.chooseTips').hide();
            });
            //
            $('.shareContent').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                $('.shareContent').hide();
            });

            $('.btnCloseList').on('tap', function (e) {
                e.stopPropagation();
                DTools.soundAudio.play("touchAudio");
                $('.screen-frend').hide();
            });

            //网页退出
            document.addEventListener("visibilitychange", function () {
                if (document.visibilityState === 'visible') {
                    if (GC.isMusic) {
                        DTools.bgmAudio.play();
                    }
                } else {
                    DTools.bgmAudio.pause();
                }
            });
            //
            $('.btnCloseMusic').on('tap', function () {
                if (!$('.btnCloseMusic').hasClass('musicPause')) {
                    $('.btnCloseMusic').addClass('musicPause');
                    mainGame.onTouchMusic();
                } else {
                    $('.btnCloseMusic').removeClass('musicPause');
                    mainGame.onTouchMusic();
                }
            });

            //转屏提示
            if (DTools.ua.mobile && !DTools.util.isLocalNet()) {
                DTools.lockScreen.init(null, "为了更好的体验，请保持手机竖屏体验！");
            } else {
                //元素居中
                $('.canvasDiv').css({
                    top: '50%',
                    left: '50%',
                    transform: 'translate(-50%, -50%)'
                });
            }
        });
    </script>
</body>

</html>